Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.xml
Class XmlUtils.XPathData

    java.lang.Object
      com.eviware.soapui.support.xml.XmlUtils.XPathData

Enclosing class:
  XmlUtils

    public static class XmlUtils.XPathData

extends java.lang.Object

Constructor Summary
`XmlUtils.XPathData(StringToStringMap nsMap, java.util.List<java.lang.String> pathComponents)`

Method Summary
`java.lang.String` | `buildXPath()`
`java.lang.String` | `buildXPath(XPathModifier modifier)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCanonicalPath()` Get a path with all namespaces replaced.
`java.util.Collection<java.lang.String>` | `getNamespaces()`
`java.lang.String` | `getPath()`
`java.lang.String` | `getShortPath()` Get a path with no namespaces or namespace prefixes.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlUtils.XPathData

    public XmlUtils.XPathData(StringToStringMap nsMap,
                              java.util.List<java.lang.String> pathComponents)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### buildXPath

    public java.lang.String buildXPath()

### buildXPath

    public java.lang.String buildXPath(XPathModifier modifier)

### getPath

    public java.lang.String getPath()

### getCanonicalPath

    public java.lang.String getCanonicalPath()

  Get a path with all namespaces replaced.

### getShortPath

    public java.lang.String getShortPath()

  Get a path with no namespaces or namespace prefixes.

### getNamespaces

    public java.util.Collection<java.lang.String> getNamespaces()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.